import Store from 'electron-store';
import { EmojiStyle } from './emoji';
export type StoreType = {
    theme: 'system' | 'light' | 'dark';
    privateMode: boolean;
    showPrivateModePrompt: boolean;
    vibrancy: 'none' | 'sidebar' | 'full';
    zoomFactor: number;
    lastWindowState: {
        x: number;
        y: number;
        width: number;
        height: number;
        isMaximized: boolean;
    };
    menuBarMode: boolean;
    showDockIcon: boolean;
    showTrayIcon: boolean;
    alwaysOnTop: boolean;
    showAlwaysOnTopPrompt: boolean;
    bounceDockOnMessage: boolean;
    showUnreadBadge: boolean;
    showMessageButtons: boolean;
    launchMinimized: boolean;
    flashWindowOnMessage: boolean;
    notificationMessagePreview: boolean;
    block: {
        chatSeen: boolean;
        typingIndicator: boolean;
        deliveryReceipt: boolean;
    };
    emojiStyle: EmojiStyle;
    useWorkChat: boolean;
    sidebar: 'default' | 'hidden' | 'narrow' | 'wide';
    autoHideMenuBar: boolean;
    autoUpdate: boolean;
    notificationsMuted: boolean;
    callRingtoneMuted: boolean;
    hardwareAcceleration: boolean;
    quitOnWindowClose: boolean;
    keepMeSignedIn: boolean;
    autoplayVideos: boolean;
    isSpellCheckerEnabled: boolean;
    spellCheckerLanguages: string[];
};
declare const store: Store<StoreType>;
export default store;
